Bug Hunting Session
Bug 56267 - Resuming after (OS) crash wil not allow new document while a document titled "Untitled 1" is open.
Summary: Resuming after (OS) crash wil not allow new document while a document titled ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-21 22:24 UTC by elighcs
Modified: 2013-06-10 20:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elighcs 2012-10-21 22:24:07 UTC
If you have to hard switch your computer while a blank document called Untitled 1 is open and you restore that document after rebooting you cannot create a new document in writer unless you close Untitled 1 or save it as something else.
Comment 1 Not Assigned 2012-12-19 07:06:38 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75118d2f9ebdf96250d3a4c78b695085c3527e4e&g=libreoffice-4-0

fdo#56267, fdo#56980 propagate shape change to subclasses


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2012-12-19 07:07:10 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7fec8dfcaca4efc92516f9af51a3157f1a11ccd7

fdo#56267, fdo#56980 propagate shape change to subclasses



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 David Tardon 2012-12-24 11:41:48 UTC
wrong bug number in the commit message, sorry for the noise...
Comment 4 Joel Madero 2013-06-10 20:31:32 UTC
I cannot confirm this issue - 
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

Marking as WFM

@elighcs - if you still have this issue with version 4 or the upcoming release of 4.1 - please set the bug to UNCONFIRMED and let us know what version.


Thanks!